summary refs log tree commit diff
path: root/ssh-command.sh
diff options
context:
space:
mode:
authorJune McEnroe <programble@gmail.com>2018-02-22 16:06:34 -0500
committerJune McEnroe <programble@gmail.com>2018-02-22 16:06:34 -0500
commitc6267a7306cdd69ab13cd8f24414113a655341c8 (patch)
tree578a0b61fa80d40c3c7b5775be12b87e941fd475 /ssh-command.sh
parentAdd command.sh (diff)
downloadstream-c6267a7306cdd69ab13cd8f24414113a655341c8.tar.gz
stream-c6267a7306cdd69ab13cd8f24414113a655341c8.zip
Rename command to ssh-command
Diffstat (limited to 'ssh-command.sh')
-rw-r--r--ssh-command.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/ssh-command.sh b/ssh-command.sh
new file mode 100644
index 0000000..333ca44
--- /dev/null
+++ b/ssh-command.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e -u
+
+set $SSH_ORIGINAL_COMMAND
+case $1 in
+    view) exec view public/${2##*/} ;;
+    ingest) exec ingest private/${2##*/} ;;
+    *) exec view public/${1##*/} ;;
+esac